Page MenuHomePhabricator

<maplink>/<mapframe>: Empty wgKartographerLiveData arrays if <mapframe> is not used
Closed, ResolvedPublic

Description

<maplink> and <mapframe> tags show maps in fullscreen or embedded page mode. In Wikivoyage mode (at least) in the html document head a JavaScript object is embedded in mw.config.set() named wgKartographerLiveData. It is created when <maplink> and <mapframe> tags are used.

In case of a missing <mapframe> tag, ie only <maplink> tags are used, all the wgKartographerLiveData arrays are empty ([]). Therefore it is impossible to add a map with JavaScript later because of missing data.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 29 2017, 9:14 AM
Mholloway triaged this task as Low priority.Aug 21 2018, 3:38 PM
Mholloway edited projects, added Maps (Kartographer); removed Maps.
MSantos moved this task from Unsorted to General on the Maps (Kartographer) board.Sep 25 2018, 3:10 PM
MSantos moved this task from General to Wikivoyage on the Maps (Kartographer) board.
TheDJ closed this task as Resolved.Mar 20 2020, 9:02 PM
TheDJ claimed this task.
TheDJ added a subscriber: TheDJ.

This is no longer the case. This was fixed during a rewrite at some point and is added to each and every page with interactive maplink OR mapframe elements.